namespace BS.Shared.DataContracts
{
    public partial class CustomerEmployeeRelationDC
    {
        public override bool Equals(object obj)
        {
            if (obj is CustomerEmployeeRelationDC)
            {
                var y = (CustomerEmployeeRelationDC)obj;
                if (this.Employee2CustomerOid == null && y.Employee2CustomerOid == null)
                {
                    return this.GetHashCode() == y.GetHashCode();
                }

                if (this.Employee2CustomerOid != null && y.Employee2CustomerOid != null)
                {
                    return this.Employee2CustomerOid == y.Employee2CustomerOid;
                }
            }

            return false;
        }

        public override int GetHashCode()
        {
            return this.Employee2CustomerOid.HasValue ? this.GetType().Name.GetHashCode() ^ this.Employee2CustomerOid.GetHashCode() : base.GetHashCode();
        }
    }
}